if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Customers_Insert]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
    drop procedure [dbo].[Customers_Insert]
GO
------------------------------------
-- 功能描述：增加一条记录 
-- 所属表格：Customers[ ]
-- 作者名称：
-- 创建日期：
-- 修改日期：
 /*
 -- 测试代码 --
 -- 参数设置 
DECLARE @CustomerID nchar -- 客户ID
    SET @CustomerID = 
DECLARE @CompanyName nvarchar(40) -- 公司名称
    SET @CompanyName =  ' '
DECLARE @ContactName nvarchar(30) -- 联系人姓名
    SET @ContactName =  ' '
DECLARE @ContactTitle nvarchar(30) -- 联系人职位
    SET @ContactTitle =  ' '
DECLARE @Address nvarchar(60) -- 地址
    SET @Address =  ' '
DECLARE @City nvarchar(15) -- 城市
    SET @City =  ' '
DECLARE @Region nvarchar(15) -- 地区
    SET @Region =  ' '
DECLARE @PostalCode nvarchar(10) -- 邮政编码
    SET @PostalCode =  ' '
DECLARE @Country nvarchar(15) -- 国家
    SET @Country =  ' '
DECLARE @Phone nvarchar(24) -- 电话
    SET @Phone =  ' '
DECLARE @Fax nvarchar(24) -- 传真
    SET @Fax =  ' '
 -- 调用存储过程 
 exec [Customers_Insert] @CustomerID,@CompanyName,@ContactName,@ContactTitle,@Address,@City,@Region,@PostalCode,@Country,@Phone,@Fax
 */
------------------------------------
CREATE PROCEDURE [Customers_Insert] (
@CustomerID    nchar = NULL,          -- 客户ID
@CompanyName   nvarchar(40) = NULL,   -- 公司名称
@ContactName   nvarchar(30) = NULL,   -- 联系人姓名
@ContactTitle  nvarchar(30) = NULL,   -- 联系人职位
@Address       nvarchar(60) = NULL,   -- 地址
@City          nvarchar(15) = NULL,   -- 城市
@Region        nvarchar(15) = NULL,   -- 地区
@PostalCode    nvarchar(10) = NULL,   -- 邮政编码
@Country       nvarchar(15) = NULL,   -- 国家
@Phone         nvarchar(24) = NULL,   -- 电话
@Fax           nvarchar(24) = NULL    -- 传真

)
AS
INSERT INTO Customers(
	[CompanyName],[ContactName],[ContactTitle],[Address],[City],[Region],[PostalCode],[Country],[Phone],[Fax]	 
)VALUES( 
	@CompanyName,@ContactName,@ContactTitle,@Address,@City,@Region,@PostalCode,@Country,@Phone,@Fax	
)
SELECT @ID = SCOPE_IDENTITY() -- 返回新加记录的唯一标识
GO


if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Customers_Edit]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[Customers_Edit]
GO
------------------------------------
-- 功能描述：修改一条记录 
-- 所属表格：Customers[]
-- 作者名称：
-- 创建日期：
-- 修改日期：
 /* -- 测试代码 --
 -- 参数设置 
DECLARE @CustomerID nchar -- 客户ID
    SET @CustomerID = 
DECLARE @CompanyName nvarchar(40) -- 公司名称
    SET @CompanyName =  ' '
DECLARE @ContactName nvarchar(30) -- 联系人姓名
    SET @ContactName =  ' '
DECLARE @ContactTitle nvarchar(30) -- 联系人职位
    SET @ContactTitle =  ' '
DECLARE @Address nvarchar(60) -- 地址
    SET @Address =  ' '
DECLARE @City nvarchar(15) -- 城市
    SET @City =  ' '
DECLARE @Region nvarchar(15) -- 地区
    SET @Region =  ' '
DECLARE @PostalCode nvarchar(10) -- 邮政编码
    SET @PostalCode =  ' '
DECLARE @Country nvarchar(15) -- 国家
    SET @Country =  ' '
DECLARE @Phone nvarchar(24) -- 电话
    SET @Phone =  ' '
DECLARE @Fax nvarchar(24) -- 传真
    SET @Fax =  ' '
 -- 调用存储过程 
 exec [Customers_Edit] @CustomerID,@CompanyName,@ContactName,@ContactTitle,@Address,@City,@Region,@PostalCode,@Country,@Phone,@Fax 
 */
------------------------------------
CREATE PROCEDURE [Customers_Edit]
@CustomerID    nchar = NULL,          -- 客户ID
@CompanyName   nvarchar(40) = NULL,   -- 公司名称
@ContactName   nvarchar(30) = NULL,   -- 联系人姓名
@ContactTitle  nvarchar(30) = NULL,   -- 联系人职位
@Address       nvarchar(60) = NULL,   -- 地址
@City          nvarchar(15) = NULL,   -- 城市
@Region        nvarchar(15) = NULL,   -- 地区
@PostalCode    nvarchar(10) = NULL,   -- 邮政编码
@Country       nvarchar(15) = NULL,   -- 国家
@Phone         nvarchar(24) = NULL,   -- 电话
@Fax           nvarchar(24) = NULL    -- 传真

AS 
UPDATE Customers SET 
	 [CompanyName] = @CompanyName, [ContactName] = @ContactName, [ContactTitle] = @ContactTitle, [Address] = @Address, [City] = @City, [Region] = @Region, [PostalCode] = @PostalCode, [Country] = @Country, [Phone] = @Phone, [Fax] = @Fax
WHERE 
	 [CustomerID] = @CustomerID
GO


if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Customers_Delete]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[Customers_Delete]
GO
------------------------------------
-- 功能描述：删除一条记录 
-- 作者名称：
-- 创建日期：
-- 修改日期：
 /*
 -- 测试代码 --
 -- 参数设置 
 -- 调用存储过程 
DECLARE @ID int
    set @ID=0
 exec [Customers_Delete] @ID
 */
------------------------------------
CREATE PROCEDURE [Customers_Delete]
	@CustomerID nchar --待删除的主键
AS 
   
	    DELETE FROM [Customers]	    WHERE CustomerID = @CustomerID 
     
     
GO   
     


